Index: pykota/trunk/pykota/accounters/software.py
===================================================================
--- pykota/trunk/pykota/accounters/software.py (revision 2302)
+++ pykota/trunk/pykota/accounters/software.py (revision 2409)
@@ -36,11 +36,11 @@
         else :
             MEGABYTE = 1024*1024
-            self.filter.jobdatastream.seek(0)
+            infile = open(self.filter.DataFile, "rb")
             child = popen2.Popen4(self.arguments)
             try :
-                data = self.filter.jobdatastream.read(MEGABYTE)    
+                data = infile.read(MEGABYTE)    
                 while data :
                     child.tochild.write(data)
-                    data = self.filter.jobdatastream.read(MEGABYTE)
+                    data = infile.read(MEGABYTE)
                 child.tochild.flush()
                 child.tochild.close()    
@@ -48,5 +48,5 @@
                 msg = "%s : %s" % (self.arguments, msg) 
                 self.filter.printInfo(_("Unable to compute job size with accounter %s") % msg)
-            
+            infile.close()
             pagecounter = None
             try :
Index: pykota/trunk/pykota/accounters/hardware.py
===================================================================
--- pykota/trunk/pykota/accounters/hardware.py (revision 2302)
+++ pykota/trunk/pykota/accounters/hardware.py (revision 2409)
@@ -38,7 +38,7 @@
     def getPrinterInternalPageCounter(self) :    
         """Returns the printer's internal page counter."""
-        self.filter.logdebug("Reading printer %s's internal page counter..." % self.filter.printername)
-        counter = self.askPrinterPageCounter(self.filter.printerhostname)
-        self.filter.logdebug("Printer %s's internal page counter value is : %s" % (self.filter.printername, str(counter)))
+        self.filter.logdebug("Reading printer %s's internal page counter..." % self.filter.PrinterName)
+        counter = self.askPrinterPageCounter(self.filter.PrinterHostName)
+        self.filter.logdebug("Printer %s's internal page counter value is : %s" % (self.filter.PrinterName, str(counter)))
         return counter    
         
@@ -117,5 +117,5 @@
             
         if printer is None :
-            raise PyKotaAccounterError, _("Unknown printer address in HARDWARE(%s) for printer %s") % (commandline, self.filter.printername)
+            raise PyKotaAccounterError, _("Unknown printer address in HARDWARE(%s) for printer %s") % (commandline, self.filter.PrinterName)
         while 1 :    
             self.filter.printInfo(_("Launching HARDWARE(%s)...") % commandline)
Index: pykota/trunk/pykota/accounters/snmp.py
===================================================================
--- pykota/trunk/pykota/accounters/snmp.py (revision 2319)
+++ pykota/trunk/pykota/accounters/snmp.py (revision 2409)
@@ -137,7 +137,7 @@
                             # BUT the page counter increases !!!
                             # So we can probably quit being sure it is printing.
-                            self.parent.filter.printInfo("Printer %s is lying to us !!!" % self.parent.filter.printername, "warn")
+                            self.parent.filter.printInfo("Printer %s is lying to us !!!" % self.parent.filter.PrinterName, "warn")
                             break
-                self.parent.filter.logdebug(_("Waiting for printer %s to be printing...") % self.parent.filter.printername)    
+                self.parent.filter.logdebug(_("Waiting for printer %s to be printing...") % self.parent.filter.PrinterName)    
                 time.sleep(ITERATIONDELAY)
             
@@ -161,5 +161,5 @@
                 else :    
                     idle_num = 0
-                self.parent.filter.logdebug(_("Waiting for printer %s's idle status to stabilize...") % self.parent.filter.printername)    
+                self.parent.filter.logdebug(_("Waiting for printer %s's idle status to stabilize...") % self.parent.filter.PrinterName)    
                 time.sleep(ITERATIONDELAY)
                 
@@ -170,5 +170,5 @@
                    (os.environ.get("PYKOTAACTION") != "DENY") and \
                    (os.environ.get("PYKOTAPHASE") == "AFTER") and \
-                   self.parent.filter.jobSizeBytes :
+                   self.parent.filter.JobSizeBytes :
                     self.waitPrinting()
                 self.waitIdle()    
@@ -177,5 +177,5 @@
                     raise
                 else :    
-                    self.parent.filter.printInfo(_("SNMP querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s.") % (self.printerInternalPageCounter, self.parent.filter.printername), "warn")
+                    self.parent.filter.printInfo(_("SNMP querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s.") % (self.printerInternalPageCounter, self.parent.filter.PrinterName), "warn")
             return self.printerInternalPageCounter
             
@@ -189,6 +189,6 @@
         class fakeFilter :
             def __init__(self) :
-                self.printername = "FakePrintQueue"
-                self.jobSizeBytes = 1
+                self.PrinterName = "FakePrintQueue"
+                self.JobSizeBytes = 1
                 
             def printInfo(self, msg, level="info") :
Index: pykota/trunk/pykota/accounters/pjl.py
===================================================================
--- pykota/trunk/pykota/accounters/pjl.py (revision 2378)
+++ pykota/trunk/pykota/accounters/pjl.py (revision 2409)
@@ -143,7 +143,7 @@
                         # BUT the page counter increases !!!
                         # So we can probably quit being sure it is printing.
-                        self.parent.filter.printInfo("Printer %s is lying to us !!!" % self.parent.filter.printername, "warn")
+                        self.parent.filter.printInfo("Printer %s is lying to us !!!" % self.parent.filter.PrinterName, "warn")
                         break
-            self.parent.filter.logdebug(_("Waiting for printer %s to be printing...") % self.parent.filter.printername)
+            self.parent.filter.logdebug(_("Waiting for printer %s to be printing...") % self.parent.filter.PrinterName)
             time.sleep(ITERATIONDELAY)
         
@@ -163,5 +163,5 @@
             else :    
                 idle_num = 0
-            self.parent.filter.logdebug(_("Waiting for printer %s's idle status to stabilize...") % self.parent.filter.printername)
+            self.parent.filter.logdebug(_("Waiting for printer %s's idle status to stabilize...") % self.parent.filter.PrinterName)
             time.sleep(ITERATIONDELAY)
     
@@ -172,5 +172,5 @@
                (os.environ.get("PYKOTAACTION") != "DENY") and \
                (os.environ.get("PYKOTAPHASE") == "AFTER") and \
-               self.parent.filter.jobSizeBytes :
+               self.parent.filter.JobSizeBytes :
                 self.waitPrinting()
             self.waitIdle()    
@@ -179,5 +179,5 @@
                 raise
             else :    
-                self.parent.filter.printInfo(_("PJL querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s.") % (self.printerInternalPageCounter, self.parent.filter.printername), "warn")
+                self.parent.filter.printInfo(_("PJL querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s.") % (self.printerInternalPageCounter, self.parent.filter.PrinterName), "warn")
         return self.printerInternalPageCounter
             
@@ -191,6 +191,6 @@
         class fakeFilter :
             def __init__(self) :
-                self.printername = "FakePrintQueue"
-                self.jobSizeBytes = 1
+                self.PrinterName = "FakePrintQueue"
+                self.JobSizeBytes = 1
                 
             def printInfo(self, msg, level="info") :
